package com.bonus.canteen.core.order.mq.po;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.order.common.model.OrderDetail;
import com.bonus.canteen.core.order.common.model.OrderInfo;

import java.util.List;

public class OrderCanceledPO {
   private String traceId;
   private Long tenantId;
   private OrderInfo orderInfo;
   private List<OrderDetail> detailList = CollUtil.newArrayList(new OrderDetail[0]);

   public String getTraceId() {
      return this.traceId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public OrderInfo getOrderInfo() {
      return this.orderInfo;
   }

   public List<OrderDetail> getDetailList() {
      return this.detailList;
   }

   public void setTraceId(final String traceId) {
      this.traceId = traceId;
   }

   public void setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
   }

   public void setOrderInfo(final OrderInfo orderInfo) {
      this.orderInfo = orderInfo;
   }

   public void setDetailList(final List<OrderDetail> detailList) {
      this.detailList = detailList;
   }

   public String toString() {
      String var10000 = this.getTraceId();
      return "OrderCanceledPO(traceId=" + var10000 + ", tenantId=" + this.getTenantId() + ", orderInfo=" + String.valueOf(this.getOrderInfo()) + ", detailList=" + String.valueOf(this.getDetailList()) + ")";
   }
}
